#
# spec file for package file (Version 3.33)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         file
Copyright:    BSD like
Group:        Applications/File
Provides:     file 
Autoreqprov:  on
Version:      3.33
Release:      85
Summary:      Determine file type
Source:       file-3.33.tar.gz
Patch:        file-3.32.dif
Patch1:       file-3.32-misc.dif
Patch2:       file-3.32-exec.dif
Patch3:       file-3.32-autoconf.dif
Patch8:       file-3.37-heap.dif

%description
With "file" you can obtain information on the file type of a specified
file. File type recognition is controlled by the file /etc/magic, which
contains the classification criteria. This command is used by apsfilter
to permit automatic printing of different file types.

Authors:
--------
    Mark Moraes <moraes@deshaw.com>
    Christos Zoulas <christos@deshaw.com>

SuSE series: a

%prep
%setup
%patch1 -p0 -b .misc
%patch2 -p0 -b .exec
%patch3 -p0 -b .conf
%patch8 -p0 -b .heap
%patch

%build
rm -f Magdir/*,v Magdir/*~
aclocal
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
./configure --prefix=/usr --datadir='${prefix}/share/misc' --mandir=%{_mandir}
make

%install
make install-strip
ln -sf ../usr/share/misc/magic /etc/magic
#install -s dcore /usr/bin/
# Check the binary does not bail out:
$BUILD_ROOT/usr/bin/file /lib/* /usr/lib/*

%files
/etc/magic
#/usr/bin/dcore
/usr/bin/file
/usr/share/misc/magic
/usr/share/misc/magic.mime
%doc /usr/share/man/man1/file.1.gz
%doc /usr/share/man/man4/magic.4.gz

%changelog -n file
* Tue Mar 11 2003 - werner@suse.de
- Fix buffer overflow in elf detection
* Sat Jun 30 2001 - bk@suse.de
- update to version 3.33
- don't change the union u in readelf.c:tryelf() on s390x.
- option i: fix one-byte memory underallocation - strcat adds '\0'
* Thu Jun 07 2001 - werner@suse.de
- Autoconf and Elf header: make it work again
* Fri May 04 2001 - werner@suse.de
- Make symlink /etc/magic a relative one
* Tue Jan 16 2001 - werner@suse.de
- Change order to find WAVE and TTF data before G3, apple and
  macintosh data.
- Change string detection of PFM data to bit comparision masking
  out the third bit to make raw G3 work.
* Sun Dec 03 2000 - schwab@suse.de
- Don't match against artificial null byte.
- Fix resource leaks.
* Tue Nov 28 2000 - aj@suse.de
- Add LFS support.
* Tue Nov 14 2000 - werner@suse.de
- Correct version handling of Linux/i386 Kernel setup header
* Mon Nov 13 2000 - werner@suse.de
- Fix handling of Microsoft Access Database in comparision
  with Digifax-G3-File.
* Tue Oct 03 2000 - kukuk@suse.de
- fix inclusion of config.h
- Add group tag
* Thu Sep 28 2000 - werner@suse.de
- Move Magdir changes into misc dif
- Remove exectuable from text scripts
* Fri Sep 15 2000 - werner@suse.de
- Update to version 3.32
* Tue Jun 20 2000 - werner@suse.de
- /usr/lib/magic -> /usr/share/misc/magic
* Thu Feb 03 2000 - schwab@suse.de
- Ignore SHT_DYNSYM sections when deciding whether object is stripped.
* Fri Jan 28 2000 - schwab@suse.de
- Fix int32 vs long problem.
* Thu Jan 27 2000 - schwab@suse.de
- Fix non-ascii literal characters in string
- Specfile cleanup, get rid of Makefile.Linux
- /usr/man -> /usr/share/man
* Thu Nov 25 1999 - schwab@suse.de
- Fix location of magic file.
* Tue Nov 23 1999 - kukuk@suse.de
- Update to version 3.27
- Add patches for SPARC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Wed Nov 04 1998 - ro@suse.de
- disabled dcore (won't build with glibc-2.0)
* Thu Oct 01 1998 - ro@suse.de
- update to 3.26
- hacked dcore.c to build with glibc-2.1
* Fri Oct 10 1997 - florian@suse.de
- add some more entries to magic
* Wed Jun 25 1997 - florian@suse.de
- add additional entries to recognize LaTeX files
* Tue May 27 1997 - florian@suse.de
- add some additional entries from mgetty/vgetty
- add additional entries for CLISP and GNU gettext from Bruno Haible
* Wed Jan 22 1997 - florian@suse.de
- update to version 3.22
* Thu Jan 02 1997 - florian@suse.de
- recognise german umlauts as text: dirty hack, but also call "setlocale"
  for correctly installed systems...
- add "dcore"-program to show some information about core-files
* Thu Jan 02 1997 - florian@suse.de
- update to version 3.21
- mv /etc/magic /usr/lib/magic (/etc/magic is still a symlink to new
  location)
* Thu Jan 02 1997 - florian@suse.de
- added missing entries for G3-fax (from mgetty source)
